Bug 263954 - devel/pear-Date_Holidays: fix with PHP-8.0
Summary: devel/pear-Date_Holidays: fix with PHP-8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-13 15:20 UTC by Thierry Thomas
Modified: 2022-05-15 09:31 UTC (History)
0 users

See Also:
sunpoet: maintainer-feedback+


Attachments
Get the latest patches from GitHub (2.14 KB, patch)
2022-05-13 15:20 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2022-05-13 15:20:48 UTC
Created attachment 233895 [details]
Get the latest patches from GitHub

Get the latest patches from GitHub.

It also remove a dependency on pear-Date, which is almost abandoned,
and set NO_ARCH.
Comment 1 Po-Chuan Hsieh freebsd_committer 2022-05-14 11:20:26 UTC
LGTM. Thanks!
Comment 2 Thierry Thomas freebsd_committer 2022-05-15 09:30:52 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2022-05-15 09:31:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dc3a945c4550b977045d50c5a4999e4a696854d7

commit dc3a945c4550b977045d50c5a4999e4a696854d7
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2022-05-13 13:10:26 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2022-05-15 09:30:42 +0000

    devel/pear-Date_Holidays: fix with PHP-8.0

    Get the latest patches from GitHub.

    It also remove a dependency on pear-Date, which is almost abandonned,
    and set NO_ARCH.

    PR:             263954
    Approved by:    sunpoet (maintainer)

 devel/pear-Date_Holidays/Makefile | 13 +++++++++----
 devel/pear-Date_Holidays/distinfo |  6 +++---
 2 files changed, 12 insertions(+), 7 deletions(-)